Subject: Re: [MPC8272ADS]Problem adding flash partitions inside the device tree

From: Scott Wood <[email-masked]>
Date: Fri, 13 Feb 2009 10:53:37 -0600

Jean-Michel Hautbois wrote:
> 2009/2/12 Scott Wood <[email-masked]>:
>> On Thu, Feb 12, 2009 at 03:26:58PM +0100, Jean-Michel Hautbois wrote:
>>> I think that the problem is in the reg part, but I can't understand why.
>>> Isn't it the RAM mpping of my MTD that is the first address ?
>> No, it's the offset into the chipselect.
>>
>> -Scott
>>
> 
> OK.
> What means the word #adress-cells BTW ?

It's the number of cells that make up an address.  1 cell for 32-bit 
addresses, 2 for 64-bit.

> When should I have 1, 2 or anything else ?

1 cell is sufficient in this case.

-Scott